Advise shared hosting with MySQL 5.1

Published on February 16, 2009

Advise shared hosting with MySQL 5.1

    Hello comrades.
    There was a question about shared hosting.
    It seems to be in bulk.
    One powerful but: for some reason hosting with MySQL 5.1 is required, in America or (at worst) in Europe.
    Please do not ask why :)

    I ask Habr users for advice.
    Thanks in advance.

    UPD: For reasons I do not understand, specially trained egocentrists and latent conquerors of the world minus the topic. As in the proverb: through senility we get to orgasm.

    UPD # 2: I agree that Habr still is not the place for such questions. And on the advice of kvladimir - a small background and results of the study. So why I nevertheless asked for advice on Habré.
    One of the client’s conditions (I can’t influence this) was virtual hosting, and it was with MySQL 5.1.
    For over 3 hours I read webhostingtalk, hostobzor and other similar resources. Google.
    By interested resources - talked in live chat with their support. The maximum that has been achieved is MySQL 5.0.67. Which, you see, contradicts the terms of the client.
    Some hosters even had MySQL 4.
    MySQL 5.1 was found only in a couple of companies. But! Windows Server 2008 & ASP.NET
    Summary: it was not possible to wait for a quick reaction from the thematic forums (from the same webhostingtalk). Therefore, hoping for the best, I asked a question here.
    Those who seemed to be a karmadrocher or a dull topic starter - I will not persuade. This will not change their point of view. Still grateful for their opinion. :) I am especially grateful to those who advised the resources. Appreciated, researched, talked with support.
    But the result is still the same. :) Thank you all for your attention. :)